from million.analyze.count_participations import count_participations
from million.analyze.retain_counts import retain_counts
import million.parse.fb_exports as fb


DATA_PATH = './data/'

export = fb.parse_dirfiles(DATA_PATH)
filtered = retain_counts(export.messages)

print(len(filtered))

participations = count_participations(filtered, export.participants, 100)

for name, count in participations.items():
    print(f"{name}: {count}")