from typing import List
from million.model.message import Message
import million.analyze.message_evaluation as msg_val


def retain_counts(messages : List[Message])-> List[Message]:
    """
    Retain only the messages that have a counted value
    """
    return [msg for msg in messages if msg_val.get(msg)]